XFcPrimitiveDrawEdgeSet class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawEdgeSet Class Reference

Defines a set of XFcPrimitiveDrawEdges. More...

Collaboration diagram for XFcPrimitiveDrawEdgeSet:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | ~XFcPrimitiveDrawEdgeSet ()
| Destructor.
XFCIMPORT INT32 | getLineEdgeCount ()
| Returns the count of line edges.
XFCIMPORT INT32 | getIndexedEdgeCount ()
| Returns the count of indexed edges.
XFCIMPORT void | addLineEdge (INT32 aYStart, INT32 aYEnd, REAL aXp, INT32 aXpi, REAL aGradient, INT32 aEdgeType)
| Adds a line edge to the edge set.
XFCIMPORT void | addIndexedEdge (INT32 aYStart, INT32 aYEnd, REAL *aIndexTable, REAL aXMultiplier, REAL aXOffset, INT32 aEdgeType, INT32 aStartIndex)
| Adds an indexed edge to the edge set.
XFCIMPORT XFcPrimitiveDrawLineEdge * | getLineEdge (INT32 aLineEdge)
| Returns a pointer to the line edge at aLineEdge position.
XFCIMPORT XFcPrimitiveDrawIndexedEdge * | getIndexedEdge (INT32 aIndexedEdge)
| Returns a pointer to the indexed edge at aIndexedEdge position.
XFCIMPORT void | clear ()
| Clears the edge set.
XFCIMPORT void | calculateLineInfo (INT32 aYClipMin, INT32 aYClipMax, XFcPrimitiveDrawPointSet *aPoints, XFcPrimitiveDrawLineSet *aLines)
| Converts lines described by aPoints and aLines to line edges in the set.
XFCIMPORT void | calculateIndexedEdgeInfo (INT32 aYClipMin, INT32 aYClipMax, XFcPrimitiveDrawIndexedPrimitiveSet *aPrimitives)
| Converts indexed primitives described by aPrimitives to primitive edges in the set.
XFCIMPORT INT32 | getMinY ()
| Returns the minimum Y value of entries in the set.
XFCIMPORT INT32 | getMaxY ()
| Returns the maximum Y value of entries in the set.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawEdgeSet * | create (INT32 aMaxLineEdgeCount, INT32 aMaxIndexedEdgeCount)
| Creates a set of XFcPrimitiveDrawEdges.

## Protected Member Functions

XFCIMPORT | XFcPrimitiveDrawEdgeSet ()
| Protected constructor.

## Protected Attributes

XFcPrimitiveDrawLineEdge * | mLineEdges
| Pointer to line edges.
INT32 | mLineEdgeCount
| Count of line edges.
INT32 | mMaxLineEdges
| Maximum amount of line edges.
XFcPrimitiveDrawIndexedEdge * | mIndexedEdges
| Pointer to indexed edges.
INT32 | mIndexedEdgeCount
| Count of indexed edges.
INT32 | mMaxIndexedEdges
| Maximum amount of indexed edges.
INT32 | mMinY
| Minimum Y value of the entries in the set.
INT32 | mMaxY
| Maximum Y value of the entries in the set.

## Detailed Description

Defines a set of XFcPrimitiveDrawEdges.

## Constructor & Destructor Documentation

XFCIMPORT XFcPrimitiveDrawEdgeSet::~XFcPrimitiveDrawEdgeSet | ( |  | ) |

| Destructor.

XFCIMPORT XFcPrimitiveDrawEdgeSet::XFcPrimitiveDrawEdgeSet | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT void XFcPrimitiveDrawEdgeSet::addIndexedEdge | ( | INT32 | aYStart,
|  | INT32 | aYEnd,
|  | REAL * | aIndexTable,
|  | REAL | aXMultiplier,
|  | REAL | aXOffset,
|  | INT32 | aEdgeType,
|  | INT32 | aStartIndex
| ) |

| Adds an indexed edge to the edge set. /param aYStart Vertical start position of the indexed edge. /param aYEnd Vertical end position of the indexed edge. /param aIndexTable Pointer to the index table. /param aXMultiplier Mutliplier for the indicies in horizontal direction. /param aXOffset Horizontal offset for the indicies. /param aEdgeType Type of the edge (XFC_PRIMITIVE_DRAW_LEFT or XFC_PRIMITIVE_DRAW_RIGHT). /param aStartIndex Starting index in the index table for the edge.

XFCIMPORT void XFcPrimitiveDrawEdgeSet::addLineEdge | ( | INT32 | aYStart,
|  | INT32 | aYEnd,
|  | REAL | aXp,
|  | INT32 | aXpi,
|  | REAL | aGradient,
|  | INT32 | aEdgeType
| ) |

| Adds a line edge to the edge set. /param aYStart Vertical start position of the line edge. /param aYEnd Vertical end position of the line edge. /param aXp Horizontal start position of the line edge. /param aXpi Horizontal start position of the line edge as integer. /param aGradient Gradient of the line. /param aEdgeType Type of the edge (XFC_PRIMITIVE_DRAW_LEFT or XFC_PRIMITIVE_DRAW_RIGHT).

XFCIMPORT void XFcPrimitiveDrawEdgeSet::calculateIndexedEdgeInfo | ( | INT32 | aYClipMin,
|  | INT32 | aYClipMax,
|  | XFcPrimitiveDrawIndexedPrimitiveSet * | aPrimitives
| ) |

| Converts indexed primitives described by aPrimitives to primitive edges in the set.

XFCIMPORT void XFcPrimitiveDrawEdgeSet::calculateLineInfo | ( | INT32 | aYClipMin,
|  | INT32 | aYClipMax,
|  | XFcPrimitiveDrawPointSet * | aPoints,
|  | XFcPrimitiveDrawLineSet * | aLines
| ) |

| Converts lines described by aPoints and aLines to line edges in the set.

XFCIMPORT void XFcPrimitiveDrawEdgeSet::clear | ( |  | ) |

| Clears the edge set.

XFCIMPORT XFcPrimitiveDrawEdgeSet* XFcPrimitiveDrawEdgeSet::create | ( | INT32 | aMaxLineEdgeCount,
|  | INT32 | aMaxIndexedEdgeCount
| ) | `[static]`

| Creates a set of XFcPrimitiveDrawEdges. /param aMaxLineEdgeCount Maximum count of line edges in the set. /param aMaxIndexedEdgeCount Maximum count of indexed edges in the set.

XFCIMPORT XFcPrimitiveDrawIndexedEdge* XFcPrimitiveDrawEdgeSet::getIndexedEdge | ( | INT32 | aIndexedEdge | ) |

| Returns a pointer to the indexed edge at aIndexedEdge position.

XFCIMPORT INT32 XFcPrimitiveDrawEdgeSet::getIndexedEdgeCount | ( |  | ) |

| Returns the count of indexed edges.

XFCIMPORT XFcPrimitiveDrawLineEdge* XFcPrimitiveDrawEdgeSet::getLineEdge | ( | INT32 | aLineEdge | ) |

| Returns a pointer to the line edge at aLineEdge position.

XFCIMPORT INT32 XFcPrimitiveDrawEdgeSet::getLineEdgeCount | ( |  | ) |

| Returns the count of line edges.

XFCIMPORT INT32 XFcPrimitiveDrawEdgeSet::getMaxY | ( |  | ) |

| Returns the maximum Y value of entries in the set.

XFCIMPORT INT32 XFcPrimitiveDrawEdgeSet::getMinY | ( |  | ) |

| Returns the minimum Y value of entries in the set.

## Member Data Documentation

INT32 XFcPrimitiveDrawEdgeSet::mIndexedEdgeCount`[protected]`

| Count of indexed edges.

XFcPrimitiveDrawIndexedEdge* XFcPrimitiveDrawEdgeSet::mIndexedEdges`[protected]`

| Pointer to indexed edges.

INT32 XFcPrimitiveDrawEdgeSet::mLineEdgeCount`[protected]`

| Count of line edges.

XFcPrimitiveDrawLineEdge* XFcPrimitiveDrawEdgeSet::mLineEdges`[protected]`

| Pointer to line edges.

INT32 XFcPrimitiveDrawEdgeSet::mMaxIndexedEdges`[protected]`

| Maximum amount of indexed edges.

INT32 XFcPrimitiveDrawEdgeSet::mMaxLineEdges`[protected]`

| Maximum amount of line edges.

INT32 XFcPrimitiveDrawEdgeSet::mMaxY`[protected]`

| Maximum Y value of the entries in the set.

INT32 XFcPrimitiveDrawEdgeSet::mMinY`[protected]`

| Minimum Y value of the entries in the set.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch